Package net.shibboleth.shared.component

# Interface DestructableComponent

All Superinterfaces:
  `Component`

All Known Implementing Classes:
  `AbstractIdentifiableInitializableComponent`, `AbstractIdentifiedInitializableComponent`, `AbstractInitializableComponent`, `AbstractReloadableService`, `AbstractServiceableComponent`, `ApplicationContextServiceableComponent`, `BasicAccessControlService`, `BasicHttpServletRequestContentTypeValidator`, `BasicHttpServletRequestMethodValidator`, `BasicHttpServletRequestParametersValidator`, `BasicKeystoreKeyStrategy`, `BasicParserPool`, `ChainingHttpServletRequestValidator`, `ConditionalResource`, `CookieManager`, `DataSealer`, `DelegatingAccessControlService`, `EncryptedCookieManager`, `EvaluableScript`, `FileBackedHTTPResource`, `FileCachingHttpClientBuilder.StorageManagingHttpClient`, `HTTPResource`, `IdentifiedComponentManager`, `IPRangeAccessControl`, `LogbackLoggingService`, `MockReloadableService`, `ReloadableServiceGaugeSet`, `ReloadableSpringService`, `ReloadingAccessControlService`, `ScriptedKeyStrategy`, `ScriptedRunnable`, `ServiceableAccessControlService`, `SpringServiceableComponent`

public interface DestructableComponent extends Component
A component which can be destroyed and its resources reclaimed.

## Method Summary

Modifier and Type
Method
Description
`void`
`destroy()`
Destroys the component.
`boolean`
`isDestroyed()`
Gets whether this component has been destroyed.

## Method Details

### isDestroyed

boolean isDestroyed()
Gets whether this component has been destroyed. Normally, once a component has been destroyed it cannot be used.

Returns:
  true iff the component has been destroyed

### destroy

void destroy()
Destroys the component.